LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XMeaning Interface Referencepublished

one of the possible meanings for a word. More...

`import"XMeaning.idl";`

Inheritance diagram for XMeaning:

## Public Member Functions
string | getMeaning ()
sequence< string > | querySynonyms ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

one of the possible meanings for a word.

Represents one of the possible meanings that may be returned from a com::sun::star::linguistic2::XThesaurus::queryMeanings() call and allows for retrieval of its synonyms.

See also
  com::sun::star::linguistic2::XThesaurus

## Member Function Documentation

## ◆ getMeaning()

string getMeaning | ( |  | ) |

Returns
  the meaning represented by this object.

## ◆ querySynonyms()

sequence<string> querySynonyms | ( |  | ) |

Returns
  a sequence of strings where each entry is a synonym of the current objects meaning.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XMeaning.idl